Bug 428420 - parted is in /sbin but depends on libraries in /usr/
parted is in /sbin but depends on libraries in /usr/
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-11 07:50 EST by Adam Tkac
Modified: 2013-04-30 19:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 03:12:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Tkac 2008-01-11 07:50:54 EST
Description of problem:
$ ldd /sbin/parted |grep usr
	libparted-1.8.so.8 => /usr/lib/libparted-1.8.so.8 (0x00111000)
	libreadline.so.5 => /usr/lib/libreadline.so.5 (0x00908000)

Version-Release number of selected component (if applicable):
parted-1.8.8-1.fc9

How reproducible:
always

Programs in /sbin should depend on libraries in /lib{,64} only. Please move
/usr/lib/libparted-1.8.so.8 library into /lib or parted to /usr/sbin. After your
decision libreadline will be moved into /lib or be kept in /usr/lib
Comment 1 David Cantrell 2008-01-14 03:12:24 EST
Moved the libraries to /lib{,64}.  Fix will be in parted-1.8.8-2.fc9.

Note You need to log in before you can comment on or make changes to this bug.